Package gov.nasa.gsfc.sscweb.schema

# Class SatelliteDescription

java.lang.Object
gov.nasa.gsfc.sscweb.schema.SatelliteDescription

Direct Known Subclasses:
  `ObservatoryDescription`

public class SatelliteDescription extends Object
SatelliteDescription type. <p>Java class for SatelliteDescription complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="SatelliteDescription"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="Id" type="{http://www.w3.org/2001/XMLSchema}string"/> <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/> <element name="Resolution" type="{http://www.w3.org/2001/XMLSchema}int"/> <element name="StartTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/> <element name="EndTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/> <element name="Geometry" type="{http://www.w3.org/2001/XMLSchema}string"/> <element name="TrajectoryGeometry" type="{http://www.w3.org/2001/XMLSchema}string"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected XMLGregorianCalendar`
  `endTime`
  End time.
  `protected String`
  `geometry`
  URL of the file containing the recommended X3D geometry description for rendering the satellite.
  `protected String`
  `id`
  Satellite identifier.
  `protected String`
  `name`
  Satellite Name.
  `protected int`
  `resolution`
  Trajectory resolution.
  `protected XMLGregorianCalendar`
  `startTime`
  Start time.
  `protected String`
  `trajectoryGeometry`
  URL of the file containing the recommended X3D geometry description for rendering the satellite's trajectory.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SatelliteDescription()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XMLGregorianCalendar`
  `getEndTime()`
  End time.
  `String`
  `getGeometry()`
  URL of the file containing the recommended X3D geometry description for rendering the satellite.
  `String`
  `getId()`
  Satellite identifier.
  `String`
  `getName()`
  Satellite Name.
  `int`
  `getResolution()`
  Trajectory resolution.
  `XMLGregorianCalendar`
  `getStartTime()`
  Start time.
  `String`
  `getTrajectoryGeometry()`
  URL of the file containing the recommended X3D geometry description for rendering the satellite's trajectory.
  `void`
  `setEndTime(XMLGregorianCalendar value)`
  Sets the value of the endTime property.
  `void`
  `setGeometry(String value)`
  Sets the value of the geometry property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setResolution(int value)`
  Sets the value of the resolution property.
  `void`
  `setStartTime(XMLGregorianCalendar value)`
  Sets the value of the startTime property.
  `void`
  `setTrajectoryGeometry(String value)`
  Sets the value of the trajectoryGeometry property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### id

    protected String id
    Satellite identifier.

  - ### name

    protected String name
    Satellite Name.

  - ### resolution

    protected int resolution
    Trajectory resolution.

  - ### startTime

    protected XMLGregorianCalendar startTime
    Start time.

  - ### endTime

    protected XMLGregorianCalendar endTime
    End time.

  - ### geometry

    protected String geometry
    URL of the file containing the recommended X3D geometry description for rendering the satellite.

  - ### trajectoryGeometry

    protected String trajectoryGeometry
    URL of the file containing the recommended X3D geometry description for rendering the satellite's trajectory.

- ## Constructor Details

  - ### SatelliteDescription

    public SatelliteDescription()

- ## Method Details

  - ### getId

    public String getId()
    Satellite identifier.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getId()`

  - ### getName

    public String getName()
    Satellite Name.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getName()`

  - ### getResolution

    public int getResolution()
    Trajectory resolution.

  - ### setResolution

    public void setResolution(int value)
    Sets the value of the resolution property.

  - ### getStartTime

    public XMLGregorianCalendar getStartTime()
    Start time.
    Returns:
      possible object is `XMLGregorianCalendar`

  - ### setStartTime

    public void setStartTime(XMLGregorianCalendar value)
    Sets the value of the startTime property.
    Parameters:
      `value` - allowed object is `XMLGregorianCalendar`
    See Also:
      - `getStartTime()`

  - ### getEndTime

    public XMLGregorianCalendar getEndTime()
    End time.
    Returns:
      possible object is `XMLGregorianCalendar`

  - ### setEndTime

    public void setEndTime(XMLGregorianCalendar value)
    Sets the value of the endTime property.
    Parameters:
      `value` - allowed object is `XMLGregorianCalendar`
    See Also:
      - `getEndTime()`

  - ### getGeometry

    public String getGeometry()
    URL of the file containing the recommended X3D geometry description for rendering the satellite.
    Returns:
      possible object is `String`

  - ### setGeometry

    public void setGeometry(String value)
    Sets the value of the geometry property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getGeometry()`

  - ### getTrajectoryGeometry

    public String getTrajectoryGeometry()
    URL of the file containing the recommended X3D geometry description for rendering the satellite's trajectory.
    Returns:
      possible object is `String`

  - ### setTrajectoryGeometry

    public void setTrajectoryGeometry(String value)
    Sets the value of the trajectoryGeometry property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTrajectoryGeometry()`